﻿<?php
/********************************************************************************

  Valuecommerce Product Search API Sample for PHP
  (コンテンツ検索連動型編)

  key_search.php

  2007/03/30 Ver 1.01 新規作成
  2007/11/10 Geekなぺーじ:編集

********************************************************************************/
require_once('./config.php');
require_once('./lastRSS.php');
require_once('./util.php');

if(VC_PDB_API_TOKEN == "") {
	echo "VC_PDB_API_TOKENがありません。config.phpで設定してください。";
	exit;
}

/****************
パラメータ受け取り
****************/
//キーワード
$keywords = $_GET['get_keywords'];


//タイプ
$view_type = $_GET['view_type'];

if(empty($keywords)){
	$keywords = DEFAULT_WORD;
}

$keywords = mb_convert_encoding($keywords, 'UTF-8');
$search_keyword = urlencode(str_replace(" ", "+", trim($keywords))); 

$v_category = "";
$v_sort_by = "";
$v_sort_order = "";
$v_sort_type = 0;
$v_img_height = "";
$v_img_width = "";
$v_results_per_page="2";


switch ($v_sort_type) {
case 0: //スコア順
	$v_sort_by = "score";
	$v_sort_order = "asc";
	break;
case 1: //価格高い順
	$v_sort_by = "price";
	$v_sort_order = "desc";
	break;
case 2: //価格安い順
	$v_sort_by = "price";
	$v_sort_order = "asc";
	break;
default:
	break;
}

//画像サイズ&表示数設定
switch ($view_type) {
case 1: //468*60
	$v_img_height = "55";
	$v_img_width = "55";
	$v_results_per_page="2";
	break;
case 2: //234*60
	$v_img_height = "55";
	$v_img_width = "55";
	$v_results_per_page="1";
	break;
case 3: //120*600
	$v_img_height = "80";
	$v_img_width = "80";
	$v_results_per_page="4";
	break;
case 4: //120*300
	$v_img_height = "80";
	$v_img_width = "80";
	$v_results_per_page="2";
	break;
default:
	break;
}

$url = VC_PDB_API_URL . "?token=" . VC_PDB_API_TOKEN . "&keyword=$search_keyword&category=$v_category&sort_by=$v_sort_by&sort_order=$v_sort_order&results_per_page=$v_results_per_page";

$rss = new lastRSS;
$rss->cache_dir = './cache';
$rss->cache_time = 7200; //2時間

$rs = $rss->Get($url); //APIを使う

?>
<html>
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>サンプル</title>
<style>
body {
	font-family: sans-serif;
	padding: 0px;
	margin: 0px;
}
div {
	margin: 0px;
	padding: 0px;
}
table {
	margin: 0px;
	position: absolute;
	top: 0px;
	left: 0px;
}
center {
	margin: 0px;
}
td {
	font-family: sans-serif;
	font-size: 8pt;
}
img {
	border: 0px;
}
a{
	color:#0099FF;
}
</style>
</head>

<body topmargin="0" leftmargin="0" bgcolor="FFFFFF">
<?php

/*****************
検索結果の描画部分
******************/
if($view_type == 1 or $view_type == 2){
	echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\">";
	echo "<tr valign=\"top\">";
	foreach ($rs['items'] as $item) {
		//商品情報（商品名にMyLink形式）
		echo "<td width=\"". $v_img_width . "\" valign=\"top\">" . GetBannerTag($item["link"], GetImageTagPri($item,$v_img_height,$v_img_width)) . "</td>";
		echo "<td width=\"180\">" . GetBannerTag($item["link"], GetDescriptionPri($item["title"], 14)) . "<br>";
		echo GetDescription($item, 26);
		echo "<br><font color=\"#FF3333\">&yen;" . number_format($item['vc:price']) . "</font>";
		echo "</td>";
	}
	echo "</table>\n";
}
else{
	echo "<center>";
	echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\">";
	foreach ($rs['items'] as $item) {
		//商品情報（商品名にMyLink形式）
		echo "<tr align=\"center\">";
		echo "<td width=\"100\" align=\"center\">" . GetBannerTag($item["link"], GetImageTagPri($item,$v_img_height,$v_img_width)) . "</td>";
		echo "</tr>";
		echo "<tr valign=\"center\">";
		echo "<td height=\"65\" width=\"110\">" . GetBannerTag($item["link"],  GetDescriptionPri($item["title"], 12)) . "";
		
		echo GetDescription($item, 12);
		echo "<br><font color=\"#FF3333\">&yen;" . number_format($item['vc:price']) . "</font>" ;
		
		echo "</td>";
		echo "</tr>";
	}
	echo "</table>\n";
	echo "</center>";
}

?>
</body>
</html>

<?php

//イメージタグの取得
//入力値:アイテム要素のハッシュ
//戻り値:イメージタグ文字列（イメージが取得できない場合は「画像なし」の画像）
function GetImageTagPri($item,$v_img_height,$v_img_width) {
	//サイズの決定（Large -> Free -> Smallの順で）
	if(isset($item["vc:imageLarge"])) {
		$src = $item["vc:imageLarge"];
	} else if (isset($item["vc:imageFree"])){
		$src = $item["vc:imageFree"];
	} else if (isset($item["vc:imageSmall"])){
		$src = $item["vc:imageSmall"];
	}
	//イメージタグの決定
	if(isset($src)) {
		$s = '<img src="' . $src . '"';
		if(isset($v_img_height)) {
			$s .= ' height="' . $v_img_height . '"';
		}
		if(isset($v_img_width)) {
			$s .= ' width="' . $v_img_width . '"';
		}
		$s .= '>';
	} else {
		$s = '<img src="images/noimage100.gif" height="' . $v_img_height . '" width="' . $v_img_width . '">'; //イメージがないの場合
	}
	return $s;
}

//商品詳細
//入力値:アイテム要素のハッシュ
//戻り値:商品詳細（文字列）
function GetDescriptionPri($cut_text, $maxlen) {
	$s = mb_substr($cut_text, 0, $maxlen, "UTF-8");
	if (mb_strlen($cut_text) > $maxlen) {
		$s .= '...'; //maxlen以上の場合は、「...」を付与
	}
	return $s;
}

?>