<?php
/********************************************************************************

  Valuecommerce Product Search API Sample for PHP
  (共通関数)

  util.php

  2007/03/30 Ver 1.01 新規作成

********************************************************************************/

//バナーの生成（ckからadタグを含めたタグを作る）
//入力値:クリック先のリンク、自由テキスト
//戻り値:バナーのタグ文字列
function GetBannerTag($ckurl, $txt) {
	//$ckのurl
	$ckurl = str_replace('&amp;', '&', $ckurl);

	//adのurl
	$pattern = '/(http:\/\/)ck(.*)referral\?(.*)(&vc_url=.*)/';
	$replacement = '${1}ad${2}gifbanner?${3}';
	$adurl = preg_replace($pattern, $replacement, $ckurl);

	$url = '<a href="' . $ckurl . '" target="_blank">'; //ckタグ
	$url .= $txt;
	$url .= '<img Src="' . $adurl . '" height="1" width="1" Border="0">'; //adタグ
	$url .= '</a>';

	return $url;
}

//イメージタグの取得
//入力値:アイテム要素のハッシュ
//戻り値:イメージタグ文字列（イメージが取得できない場合は「画像なし」の画像）
function GetImageTag($item) {
	//サイズの決定（Large -> Free -> Smallの順で）
	if(isset($item["vc:imageLarge"])) {
		$src = $item["vc:imageLarge"];
		if (isset($item["vc:imageLargeH"])) {
			$h = $item["vc:imageLargeH"];
		}
		if (isset($item["vc:imageLargeW"])) {
			$w = $item["vc:imageLargeW"];
		}
		if ($w > 100) { //幅は最大100として、縦横比を合わせる
			$h = 100 * $h / $w;
			$w = 100;
		}
	} else if (isset($item["vc:imageFree"])){
		$src = $item["vc:imageFree"];
		if (isset($item["vc:imageFreeH"])) {
			$h = $item["vc:imageFreeH"];
		}
		if (isset($item["vc:imageFreeW"])) {
			$w = $item["vc:imageFreeW"];
		}
		if ($w > 100) {
			$h = 100 * $h / $w;
			$w = 100;
		}
	} else if (isset($item["vc:imageSmall"])){
		$src = $item["vc:imageSmall"];
		if (isset($item["vc:imageSmallH"])) {
			$h = $item["vc:imageSmallH"];
		}
		if (isset($item["vc:imageSmallW"])) {
			$w = $item["vc:imageSmallW"];
		}
		if ($w > 100) {
			$h = 100 * $h / $w;
			$w = 100;
		}
	}
	//イメージタグの決定
	if(isset($src)) {
		$s = '<img src="' . $src . '"';
		if(isset($h)) {
			$s .= ' height="' . $h . '"';
		}
		if(isset($w)) {
			$s .= ' width="' . $w . '"';
		}
		$s .= '>';
	} else {
		$s = '<img src="images/noimage100.gif" height="100" width="100">'; //イメージがないの場合
	}
	return $s;
}

//商品詳細
//入力値:アイテム要素のハッシュ
//戻り値:商品詳細（文字列）
function GetDescription($item, $maxlen) {
	if (isset($item['description'])) {
		$s = mb_substr($item['description'], 0, $maxlen, "UTF-8");
		if (mb_strlen($item['description']) > $maxlen) {
			$s .= '...'; //maxlen以上の場合は、「...」を付与
		}
	} else {
		$s = '商品詳細はありません。';
	}
	return $s;
}
?>